cgGetParameterColumns(3)

NAME
cgGetParameterColumns - get number of parameter columns

SYNOPSIS
  #include <Cg/cg.h>
  int cgGetParameterColumns( CGparameter param );

PARAMETERS

param
    The parameter.

RETURN VALUES
Returns the number of columns associated with the type if param is a numeric type or an array of numeric types.

Returns 0 otherwise.

DESCRIPTION
cgGetParameterColumns return the number of columns associated with the given parameter's type.

If param is an array, the number of columns associated with each element of the array is returned.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetParameterColumns was introduced in Cg 1.4.

SEE ALSO
the cgGetParameterType manpage, the cgGetParameterRows manpage